### Method

# WPEJavaScriptCore Value object_enumerate_properties

#### Declaration [src]

    gchar**
    jsc_value_object_enumerate_properties (
      JSCValue* value
    )

#### Description [src]

Get the list of property names of `value`. Only properties defined with `JSC_VALUE_PROPERTY_ENUMERABLE` flag will be collected.

#### Return value

Type: An array of `utf8`

A `NULL`-terminated array of strings containing the property names, or `NULL` if `value` doesn’t have enumerable properties. Use `g_strfreev()` to free.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.